Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Containers for J2EE Support for JavaServer Pages API Reference 10g Release 2 (10.1.2) B14015-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jsp.jml
Class JmlString

`java.lang.Object
oracle.jsp.jml.JmlString`

All Implemented Interfaces:
  java.io.Serializable

public final class JmlString
extends java.lang.Object
implements java.io.Serializable

JmlString wraps the primitive type `int` in a Java bean. It has a single property, `value` that represents the bean's typed value. It is designed to work more effectively in JSPs than Java primitive types or their corresponding wrapper `java.lang.*` objects. Specifically, JmlString overcomes:

- inability to attach Java primitive types on JSP scope (objects).
- inability to declare most `java.lang.*` objects using <jsp:useBean>
- inability to modify a `java.lang.*` object's value after created.

See Also:
  Serialized Form

Constructor Summary
`JmlString()` Constructs a default `JmlString` object.
`JmlString(JmlString str)` Constructs a `JmlString` object whose value is `JmlString`.
`JmlString(java.lang.String str)` Constructs a `JmlString` object whose value is `java.lang.String`.

Method Summary
`boolean` | `equals(JmlString s)` Tests whether the beans's `value` property is equal to the JmlString.
`boolean` | `equals(java.lang.String s)` Tests whether the beans's `value` property is equal to the java.lang.String.
`java.lang.String` | `getValue()` Returns the beans's `value` property as a `java.lang.String`.
`boolean` | `isEmpty()` Tests whether the beans's `value` property is "".
`void` | `setTypedValue(JmlString str)` Sets the beans's `value` property to the `JmlString`.
`void` | `setTypedValue(java.lang.String str)` Sets the beans's `value` property to the `java.lang.String`.
`void` | `setValue(java.lang.String str)` Sets the beans's `value` property to the `java.lang.String`.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JmlString

    public JmlString()

  Constructs a default `JmlString` object. The object's default `value` is a zero length (empty) string, "".

### JmlString

    public JmlString(java.lang.String str)

  Constructs a `JmlString` object whose value is `java.lang.String`.

### JmlString

    public JmlString(JmlString str)

  Constructs a `JmlString` object whose value is `JmlString`.

Method Detail

### getValue

    public java.lang.String getValue()

  Returns the beans's `value` property as a `java.lang.String`.

### setValue

    public void setValue(java.lang.String str)

  Sets the beans's `value` property to the `java.lang.String`. If the `java.lang.String` is `null`, the value is set to an zero length (empty) string.

### setTypedValue

    public void setTypedValue(JmlString str)

  Sets the beans's `value` property to the `JmlString`. If the `JmlString` is `null`, the value is set to an zero length (empty) string.

### setTypedValue

    public void setTypedValue(java.lang.String str)

  Sets the beans's `value` property to the `java.lang.String`. If the `java.lang.String` is `null`, the value is set to an zero length (empty) string.

### isEmpty

    public boolean isEmpty()

  Tests whether the beans's `value` property is "".

### equals

    public boolean equals(java.lang.String s)

  Tests whether the beans's `value` property is equal to the java.lang.String.

### equals

    public boolean equals(JmlString s)

  Tests whether the beans's `value` property is equal to the JmlString.

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Containers for J2EE Support for JavaServer Pages API Reference 10g Release 2 (10.1.2) B14015-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2005, Oracle. All rights reserved.